Bug Hunting Session
Bug 125131 - CRASH closing LibreOffice with the tip of the day dialog open ( gen/gtk)
Summary: CRASH closing LibreOffice with the tip of the day dialog open ( gen/gtk)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2019-05-06 09:31 UTC by Xisco Faulí
Modified: 2019-10-03 11:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (11.20 KB, text/plain)
2019-05-06 18:16 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-06 09:31:45 UTC
Steps to reproduce:
1. Clean the profile
2. Open Writer with gtk or gen -> Tip of the day dialog is prompted
3. Close LibreOffice

-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: ddea172792d13516ff7e0dd43f1f78b74ade8914
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-06 09:32:59 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a1700d52a47184ee07b91b461a846dc5435f0022

author	heiko tietze <tietze.heiko@gmail.com>	2019-03-21 10:14:07 +0100
committer	Heiko Tietze <tietze.heiko@gmail.com>	2019-04-10 16:54:37 +0200
commit	a1700d52a47184ee07b91b461a846dc5435f0022 (patch)
tree	31e05614ca9133846bef8fd5219ada1191d48414
parent	3d7a67cdd465956206f881304bbcbaf47ccfcd83 (diff)
tdf#124238 - Show a Tip-Of-The-Day dialog on startup

Bisected with: bibisect-linux64-6.3

Adding Cc: to heiko tietze
Comment 2 Heiko Tietze 2019-05-06 09:48:17 UTC
Cannot confirm with SAL=gen but run the latest patch https://gerrit.libreoffice.org/#/c/71760/
Comment 3 Julien Nabet 2019-05-06 18:16:55 UTC
Created attachment 151210 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today + gen rendering, I could reproduce this.
Comment 4 Julien Nabet 2019-05-06 18:29:41 UTC
I also got a crash with https://gerrit.libreoffice.org/#/c/71760/
Comment 5 Xisco Faulí 2019-05-07 10:20:18 UTC
This fixes the issue -> https://gerrit.libreoffice.org/#/c/71902/
Comment 6 Commit Notification 2019-05-16 08:12:02 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2dff4a4f63fc84b8ce82215f46e1575ed8d535a3%5E%21

tdf#125131: tip of the day dialog should be modal

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.